
//**************************************************************
//***************  Décharge condensateur ***********************
//************ visualisation par moniteur serie ****************
//**************************************************************
//**************** Lou FABILOUB ** ALAIN ***********************
//**************************************************************

int analogIn0 = A0 ;
int analogIn1 = A1 ;
int analogIn2 = A2 ;

void setup() {
  Serial.begin(9600); // ouverture d'un port serie
  Serial.println("Alim,Condensateur,Lampe"); // Envoi du nom des courbes dans le traceur série 
}
    
void loop() {
  int sensorVal0 = analogRead(analogIn0); // Déclaration de la pin Analogue 0 pour la mesure d'alimentation
  int sensorVal1 = analogRead(analogIn1); // Déclaration de la pin Analogue 1 sur le condensateur
  int sensorVal2 = analogRead(analogIn2); // Déclaration de la pin Analogue 2 sur la lampe

  // division par 2 de la valeur analogique. En théorie 1024 = 5V, la valeur affichée est donc surélevée 5,12V affiché à l'écran pour 5V lu
  int valAlim = sensorVal0/2;
  int valCondo = sensorVal1/2;
  int valLamp = sensorVal2/2;
  Serial.print(valAlim); // Envoi de la valeur de mesure de l'alimentation
  Serial.print(",");
  Serial.print(valCondo); // Envoi de la valeur de mesure du condensateur
  Serial.print(",");
  Serial.print(valLamp); // Envoi de la valeur de mesure de la lampe
  Serial.println();
   
  delay ( 10 ); // rafraichissement de l affichage toutes les 10 millisecondes
}
